<?php
/*
Plugin Name: Show Photo Identifier Overlay
Version: auto
Description: Show the photo identifier as an overlay in the bottom right corner of the photo
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=
Author: plg
Author URI: http://le-gall.net/pierrick
*/

if (!defined('PHPWG_ROOT_PATH'))
{
  die('Hacking attempt!');
}

// +-----------------------------------------------------------------------+
// | Define plugin constants                                               |
// +-----------------------------------------------------------------------+

global $prefixeTable;

defined('SPI_ID') or define('SPI_ID', basename(dirname(__FILE__)));
define('SPI_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
define('SPI_VERSION', 'auto');

// init the plugin
add_event_handler('init', 'spi_init');
/**
 * plugin initialization
 *   - load language
 */
function spi_init()
{
  if (script_basename() == 'picture')
  {
    // "Downloads" is a key already available in admin.lang.php
    load_language('admin.lang');
  }
}

add_event_handler('loc_end_picture', 'spi_end_picture');
function spi_end_picture()
{
  global $template, $picture;

  // Get the image ID
  $image_id = $picture['current']['id'];

  // Generate the overlay HTML
  $overlay_html = spi_generate_overlay_html($image_id);

  // Assign the overlay HTML to the template
  $template->assign('IMAGE_OVERLAY_HTML', $overlay_html);
}

function spi_generate_overlay_html($image_id)
{
  // Generate the HTML for the overlay box
  $html = '
    <div id="ImageIdOverlay" style="
      position: absolute;
      bottom: 10px;
      right: 10px;
      background-color: rgba(0, 0, 0, 0.7);
      color: #fff;
      padding: 5px;
      font-size: 12px;
      border-radius: 3px;
      z-index: 9999;
    ">
      Image ID: ' . $image_id . '
    </div>
    <style>
      #ImageIdOverlay {
        display: none;
      }
      .image_container:hover #ImageIdOverlay {
        display: block;
      }
    </style>
  ';

  return $html;
}

// Add the overlay HTML to the picture page
add_event_handler('render_picture_content', 'spi_add_overlay_to_template');
function spi_add_overlay_to_template($content, $picture_id)
{
  global $template;

  $overlay_html = $template->get_template_vars('IMAGE_OVERLAY_HTML');

  $content .= $overlay_html;

  return $content;
}
?>
